## qt6-webengine 6.7.2+dfsg2

=== debian/changelog ===
qt6-webengine (6.7.2+dfsg2-2) unstable; urgency=medium

  [ Soren Stoutner ]
  * Add hunspell-bdic.patch and remove90qt6webengine-dictionaries-path.conf (see
    #1092726).
  * Update copyright year for myself in debian/copyright.

 -- Soren Stoutner <soren@debian.org>  Tue, 21 Jan 2025 17:25:46 -0700

qt6-webengine (6.7.2+dfsg2-1) unstable; urgency=medium

  [ Soren Stoutner ]
  * Build-depend on libasound2-dev (Closes: #1091342).
  * Build using system rollup package (Closes: #1023333).
  * Remove non-free WebKitSite.webarchive (Closes: #1091463).
  * Modify debian/watch to create +dfsg2 suffixes.
  * Add myself to uploaders.
  * Update copyright year for myself in debian/copyright.

 -- Soren Stoutner <soren@debian.org>  Fri, 27 Dec 2024 09:22:49 -0700

qt6-webengine (6.7.2+dfsg-9) unstable; urgency=medium

  [ Patrick Franz ]
  * Remove comment in d/rules to fix CMake-arguments (Closes: #1087829).

 -- Patrick Franz <deltaone@debian.org>  Wed, 18 Dec 2024 19:30:08 +0100

qt6-webengine (6.7.2+dfsg-8) unstable; urgency=medium

  [ Patrick Franz ]
  * Revert hardcoding QML dependencies in qmldeps.overrides.

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Nov 2024 21:39:22 +0100

qt6-webengine (6.7.2+dfsg-7) unstable; urgency=medium

  [ Patrick Franz ]
  * Fix build failure on arch:all (Closes: #1087605).
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Sat, 16 Nov 2024 16:13:54 +0100

qt6-webengine (6.7.2+dfsg-6) unstable; urgency=medium

  [ Sandro Knauß ]
  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module packages to -dev package for QML dependency detection.
  * Use dh-sequence-pkgkde-symbolshelper instead of --with.
  * Enable QML detection for examples package.
  * Correct wrong QML depdendecy on QtQuickControls2 with qml6-module-
    qtquick-controls.
  * Override examples own QML modules.

  [ Patrick Franz ]
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Install cmake-files for QmlPlugins.

 -- Patrick Franz <deltaone@debian.org>  Wed, 13 Nov 2024 20:55:22 +0100
