=== debian/watch ===
version=4
opts=uversionmangle=s/-/~/,dversionmangle=auto,repacksuffix=+dfsg2 \
https://download.qt.io/archive/qt/([\d\.]*)/([\d\.]*)/submodules/qtwebengine-everywhere-src-(.*)\.tar\.xz
