=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
            Soren Stoutner <soren@debian.org>,
 Build-Depends: binutils (>= 2.32-8~),
                bison,
+               clang-17 [riscv64],
                cmake (>= 3.24~),
                debhelper-compat (= 13),
                dh-sequence-pkgkde-symbolshelper,
@@ -76,16 +77,23 @@
                protobuf-compiler,
                python3,
                python3-html5lib,
-               qt6-base-dev (>= 6.7.2+dfsg~),
-               qt6-base-private-dev (>= 6.7.2+dfsg~),
-               qt6-declarative-dev (>= 6.7.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.7.2+dfsg~),
-               qt6-documentation-tools (>= 6.7~) <!nodoc>,
-               qt6-httpserver-dev (>= 6.7.2~),
-               qt6-positioning-dev (>= 6.7.2~),
-               qt6-tools-dev (>= 6.7.2~),
-               qt6-webchannel-dev (>= 6.7.2~),
-               qt6-websockets-dev (>= 6.7.2~),
+               qt6-base-dev (>= 6.8.0+dfsg~),
+               qt6-base-private-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.0+dfsg~),
+               qt6-documentation-tools (>= 6.8~) <!nodoc>,
+               qt6-httpserver-dev (>= 6.8.0~),
+               qt6-positioning-dev (>= 6.8.0~),
+               qt6-tools-dev (>= 6.8.0~),
+               qt6-webchannel-dev (>= 6.8.0~),
+               qt6-websockets-dev (>= 6.8.0~),
+               qml6-module-qtcore (>= 6.8.0~),
+               qml6-module-qtqml-models (>= 6.8.0~),
+               qml6-module-qtquick (>= 6.8.0~),
+               qml6-module-qtwebchannel (>= 6.8.0~),
+               qml6-module-qtquick-layouts (>= 6.8.0~),
+               qml6-module-qtquick-window (>= 6.8.0~),      
+               qml6-module-qtquick-dialogs (>= 6.8.0~), 
                re2c,
                rollup,
                ruby,
@@ -98,8 +106,8 @@
 Rules-Requires-Root: no
 
 Package: libqt6webenginecore6
-Provides: qt6-webengine-private-abi (= 6.7.2),
-Architecture: amd64 arm64 armhf i386
+Provides: qt6-webengine-private-abi (= 6.8.0),
+Architecture: amd64 arm64 armhf i386 riscv64 loong64
 Multi-Arch: same
 Depends: libqt6webengine6-data (= ${source:Version}),
          sse3-support [amd64 i386],
@@ -116,7 +124,7 @@
  This package contains the Qt 6 WebEngine Core library.
 
 Package: libqt6pdf6
-Architecture: amd64 arm64 armhf i386
+Architecture: amd64 arm64 armhf i386 riscv64 loong64
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 PDF library
@@ -128,7 +136,7 @@
  This package contains the Qt 6 PDF library.
 
 Package: libqt6pdfquick6
-Architecture: amd64 arm64 armhf i386
+Architecture: amd64 arm64 armhf i386 riscv64 loong64
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Pre-Depends: ${misc:Pre-Depends},
@@ -141,7 +149,7 @@
  This package contains the Qt 6 PDF Quick library.
 
 Package: libqt6pdfwidgets6
-Architecture: amd64 arm64 armhf i386
+Architecture: amd64 arm64 armhf i386 riscv64 loong64
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 PDF Widgets library
@@ -153,7 +161,7 @@
  This package contains the Qt 6 PDF Widgets library.
 
 Package: libqt6webenginecore6-bin
-Architecture: amd64 arm64 armhf i386
+Architecture: amd64 arm64 armhf i386 riscv64 loong64
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Pre-Depends: ${misc:Pre-Depends},
@@ -167,7 +175,7 @@
  This package contains the Qt 6 WebEngine Core binaries.
 
 Package: libqt6webenginequick6
-Architecture: amd64 arm64 armhf i386
+Architecture: amd64 arm64 armhf i386 riscv64 loong64
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Pre-Depends: ${misc:Pre-Depends},
@@ -181,7 +189,7 @@
  This package contains the Qt 6 WebEngine Quick library.
 
 Package: libqt6webenginewidgets6
-Architecture: amd64 arm64 armhf i386
+Architecture: amd64 arm64 armhf i386 riscv64 loong64
 Multi-Arch: same
 Depends: libqt6webengine6-data (= ${source:Version}),
          ${misc:Depends},
@@ -197,8 +205,8 @@
  This package contains the Qt 6 WebEngine Widgets library.
 
 Package: libqt6webengine6-data
-Architecture: all
-Multi-Arch: foreign
+Architecture: amd64 arm64 armhf i386 riscv64 loong64
+Multi-Arch: same
 Depends: ${misc:Depends},
 Pre-Depends: ${misc:Pre-Depends},
 Description: Qt 6 Web content engine library - data
@@ -211,7 +219,7 @@
  This package contains the arch independent parts of Qt WebEngine libraries.
 
 Package: qt6-image-formats-plugin-pdf
-Architecture: amd64 arm64 armhf i386
+Architecture: amd64 arm64 armhf i386 riscv64 loong64
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 PDF image format plugin
@@ -224,7 +232,7 @@
  to view PDF files (the first page of PDF will be shown).
 
 Package: qml6-module-qtquick-pdf
-Architecture: amd64 arm64 armhf i386
+Architecture: amd64 arm64 armhf i386 riscv64 loong64
 Multi-Arch: same
 Depends: qt6-image-formats-plugin-pdf,
          ${misc:Depends},
@@ -239,7 +247,7 @@
  This package contains the Qt 6 Quick PDF QML module.
 
 Package: qml6-module-qtwebengine
-Architecture: amd64 arm64 armhf i386
+Architecture: amd64 arm64 armhf i386 riscv64 loong64
 Multi-Arch: same
 Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Pre-Depends: ${misc:Pre-Depends},
@@ -253,7 +261,7 @@
  This package contains the Qt 6 WebEngine QML module for Qt 6 Declarative.
 
 Package: qml6-module-qtwebengine-controlsdelegates
-Architecture: amd64 arm64 armhf i386
+Architecture: amd64 arm64 armhf i386 riscv64 loong64
 Multi-Arch: same
 Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Breaks: libqt6webenginequickdelegatesqml6,
@@ -270,7 +278,7 @@
  for Qt 6 Declarative.
 
 Package: qt6-webengine-dev
-Architecture: amd64 arm64 armhf i386
+Architecture: amd64 arm64 armhf i386 riscv64 loong64
 Multi-Arch: same
 Section: libdevel
 Depends: libqt6webenginecore6 (= ${binary:Version}),
@@ -299,18 +307,3 @@
  This package contains the development files needed to build Qt 6 applications
  using Qt WebEngine libraries.
 
-Package: qt6-webengine-private-dev
-Architecture: amd64 arm64 armhf i386
-Multi-Arch: same
-Section: libdevel
-Depends: qt6-webengine-dev (= ${binary:Version}), ${misc:Depends},
-Description: Qt 6 WebEngine library - private development files
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- Qt WebEngine provides a Web browser engine that makes it easy to embed content
- from the World Wide Web into your Qt application.
- .
- This package contains the private development files needed to build Qt 6
- applications using Qt WebEngine libraries.
- .
