## qt6-webengine 6.8.1+dfsg

=== debian/changelog ===
qt6-webengine (6.8.1+dfsg-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 06 Dec 2024 01:34:01 -0600
