=== debian/changelog ===
qt6-webengine (6.8.2+dfsg-4) unstable; urgency=medium

  [ Pino Toscano ]
  * Move all the development files for Qt6Pdf from qt6-webengine-dev to
    qt6-pdf-dev, so that cmake-based builds using only Qt6Pdf without WebEngine
    works (Closes: #1100320)
    - add proper breaks/replaces
  * Bump Standards-Version to 4.7.2, no changes required.

  [ Soren Stoutner ]
  * Add debian/salsa-ci.yml, setting the test timeout to be 8 hours.
  * Update my email address in debian/copyright to be soren@debian.org.

 -- Patrick Franz <deltaone@debian.org>  Tue, 15 Apr 2025 19:50:46 +0200

qt6-webengine (6.8.2+dfsg-3) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Mar 2025 13:31:56 +0100
