=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: qt6-webengine
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Patrick Franz <deltaone@debian.org>,
+           Lu YaNing <dluyaning@gmail.com>,
+           Soren Stoutner <soren@debian.org>,
 Build-Depends: binutils (>= 2.32-8~),
                bison,
                cmake (>= 3.24~),
@@ -12,6 +13,7 @@
                dh-sequence-qmldeps,
                flex,
                gperf,
+               libasound2-dev,
                libavcodec-dev (>= 7:4.0~),
                libavformat-dev (>= 7:4.0~),
                libavutil-dev (>= 7:4.0~),
@@ -74,28 +76,29 @@
                protobuf-compiler,
                python3,
                python3-html5lib,
-               qt6-base-dev (>= 6.8.1+dfsg~),
-               qt6-base-private-dev (>= 6.8.1+dfsg~),
-               qt6-declarative-dev (>= 6.8.1+dfsg~),
-               qt6-declarative-private-dev (>= 6.8.1+dfsg~),
+               qt6-base-dev (>= 6.8.2+dfsg~),
+               qt6-base-private-dev (>= 6.8.2+dfsg~),
+               qt6-declarative-dev (>= 6.8.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.2+dfsg~),
                qt6-documentation-tools (>= 6.8~) <!nodoc>,
-               qt6-httpserver-dev (>= 6.8.1~),
-               qt6-positioning-dev (>= 6.8.1~),
-               qt6-tools-dev (>= 6.8.1~),
-               qt6-webchannel-dev (>= 6.8.1~),
-               qt6-websockets-dev (>= 6.8.1~),
+               qt6-httpserver-dev (>= 6.8.2~),
+               qt6-positioning-dev (>= 6.8.2~),
+               qt6-tools-dev (>= 6.8.2~),
+               qt6-webchannel-dev (>= 6.8.2~),
+               qt6-websockets-dev (>= 6.8.2~),
                re2c,
+               rollup,
                ruby,
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-webengine
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-webengine.git
 Rules-Requires-Root: no
 
 Package: libqt6webenginecore6
-Provides: qt6-webengine-private-abi (= 6.8.1),
+Provides: qt6-webengine-private-abi (= 6.8.2),
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
 Depends: libqt6webengine6-data (= ${source:Version}),
@@ -311,5 +314,3 @@
  This package contains the private development files needed to build Qt 6
  applications using Qt WebEngine libraries.
  .
- Use at your own risk.
-
